Subject: [iccrg] Fwd: New Version Notification for draft-cardwell-iccrg-bbr-congestion-control-02.txt

From: Neal Cardwell <[email-masked]>
Date: Mon, 7 Mar 2022 16:25:31 -0500

Hi all,

Posting this for discussion. This includes various minor changes.

HTML:

https://www.ietf.org/archive/id/draft-cardwell-iccrg-bbr-congestion-control-02.html

Diff since the previous revision:

https://www.ietf.org/rfcdiff?url1=draft-cardwell-iccrg-bbr-congestion-control-01&url2=draft-cardwell-iccrg-bbr-congestion-control-02&difftype=--html

Thanks!
neal

---------- Forwarded message ---------
From: <[email-masked]>
Date: Mon, Mar 7, 2022 at 4:12 PM
Subject: New Version Notification for
draft-cardwell-iccrg-bbr-congestion-control-02.txt
To: Ian Swett <[email-masked]>, Neal Cardwell <[email-masked]>,
Soheil Hassas Yeganeh <[email-masked]>, Van Jacobson <[email-masked]>,
Yuchung Cheng <[email-masked]>

A new version of I-D, draft-cardwell-iccrg-bbr-congestion-control-02.txt
has been successfully submitted by Neal Cardwell and posted to the
IETF repository.

Name:           draft-cardwell-iccrg-bbr-congestion-control
Revision:       02
Title:          BBR Congestion Control
Document date:  2022-03-07
Group:          Individual Submission
Pages:          66
URL:
https://www.ietf.org/archive/id/draft-cardwell-iccrg-bbr-congestion-control-02.txt
Status:
https://datatracker.ietf.org/doc/draft-cardwell-iccrg-bbr-congestion-control/
Htmlized:
https://datatracker.ietf.org/doc/html/draft-cardwell-iccrg-bbr-congestion-control
Diff:
https://www.ietf.org/rfcdiff?url2=draft-cardwell-iccrg-bbr-congestion-control-02

Abstract:
   This document specifies the BBR congestion control algorithm.  BBR
   ("Bottleneck Bandwidth and Round-trip propagation time") uses recent
   measurements of a transport connection's delivery rate, round-trip
   time, and packet loss rate to build an explicit model of the network
   path.  BBR then uses this model to control both how fast it sends
   data and the maximum volume of data it allows in flight in the
   network at any time.  Relative to loss-based congestion control
   algorithms such as Reno [RFC5681] or CUBIC [RFC8312], BBR offers
   substantially higher throughput for bottlenecks with shallow buffers
   or random losses, and substantially lower queueing delays for
   bottlenecks with deep buffers (avoiding "bufferbloat").  BBR can be
   implemented in any transport protocol that supports packet-delivery
   acknowledgment.  Thus far, open source implementations are available
   for TCP [RFC793] and QUIC [RFC9000].  This document specifies version
   2 of the BBR algorithm, also sometimes referred to as BBRv2 or bbr2.

The IETF Secretariat